curl --location 'https://connect.dispatchable.com/payments/api/v1/payments' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"paymentable_uuid": "",
"invoice_uuid": null,
"contact_uuid": "83e0d5a6-dade-4e5f-a964-319a0f220146",
"amount": 3099,
"currency": "USD",
"payment_method": "Other",
"payment_context": "SHIPPER_BALANCE",
"payment_gateway": null,
"direction": "IN",
"from_entity_type": "contact",
"from_entity_uuid": null,
"to_entity_type": null,
"to_entity_uuid": null,
"date_received": "2026-03-15",
"posted_at": null,
"reconciled_at": null,
"processor": null,
"processor_transaction_id": null,
"tariff_markup": null,
"method_details": {},
"metadata": {},
"idempotency_key": null,
"status": null,
"reference_no": "",
"notes": "",
"allocations": [
{
"invoice_uuid": "635a5cd9-3a2b-4c80-b19f-fa9cb8513831",
"amount": 3099
}
],
"transaction_id": null,
"last_four": null,
"card_brand": null,
"expiration_month": null,
"expiration_year": null,
"authorization_code": null,
"check_number": null,
"send_email": false
}'